@echo 60魔兽
@echo 112
@echo 按任意键 将开始清理客户端
@pause > NUL
@echo off

if not Exist "WoW.exe" (
    echo -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
    echo 发现问题：没有找到文件 WoW.exe
    echo 请确认您将本程序放置到了游戏所在目录。
    echo 为了防止意想不到的情况发生,请确认客户端位置后再执行
    echo 按任意键将退出。
    pause > NUL
    exit
)


rd cache /s/q
rd wdb /s/q
del realmList.wtf /f/q
del data\zhcn\realmlist.wtf /f/q
del data\zhtw\realmlist.wtf /f/q
del data\enus\realmlist.wtf /f/q
del data\patch-0.mpq /f/q
del data\patch-1.mpq /f/q
del data\patch-z.mpq /f/q
del data\patch-4.mpq /f/q
del data\patch-5.mpq /f/q
del data\patch-6.mpq /f/q
del data\patch-7.mpq /f/q
del data\patch-8.mpq /f/q
del data\patch-9.mpq /f/q

rd Logs /s/q
rd interface /s/q

rd wtf /s/q
del wtf\realmList.wtf /f/q
del wtf\Launcher.WTF /f/q
del wtf\config.wtf /f/q

md wtf

echo SET readTOS "1" > wtf/config.wtf
echo SET readEULA "1" >> wtf/config.wtf
echo SET EnableAmbience "0" >> wtf/config.wtf
echo SET realmName "3C" >> wtf/config.wtf

cls
echo 清理完毕, 请启动登陆器进入游戏
pause > NUL
exit
